package com.example.kingway.ptt;

/**
 * <pre>
 *     author : GaryLiang
 *     e-mail : 595184932@qq.com
 *     time   : 2017/11/21 上午9:09
 *     desc   :  组
 *     version: 1.0
 * </pre>
 */

public class GroupInfoDto {


    private int groupNo;  //表示此组为第一个组
    private int groupCount;  //表示此组有 3 个用户成员
    private String groupId;
    private String groupName;

    public GroupInfoDto() {

    }

    public GroupInfoDto(String groupId, String groupName, int groupNo, int groupCount) {
        this.groupId = groupId;
        this.groupName = groupName;
        this.groupNo = groupNo;
        this.groupCount = groupCount;
    }

    public int getGroupNo() {
        return groupNo;
    }

    public void setGroupNo(int groupNo) {
        this.groupNo = groupNo;
    }

    public int getGroupCount() {
        return groupCount;
    }

    public void setGroupCount(int groupCount) {
        this.groupCount = groupCount;
    }

    public String getGroupId() {
        return groupId == null ? "" : groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName == null ? "" : groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    @Override
    public String toString() {
        return "GroupInfoDto{" +
                "groupNo=" + groupNo +
                ", groupCount=" + groupCount +
                ", groupId='" + groupId + '\'' +
                ", groupName='" + groupName + '\'' +
                '}';
    }
}
